# -*- coding: utf-8 -*-

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2020 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

# CLWPOS Constants

# Keep it in alphabetical order

ALLOWED_MODULES_JSON = 'modules_allowed.json'
CLCONFIG_UTILITY = "/usr/sbin/cloudlinux-config"

DEFAULT_MAX_CACHE_MEMORY = 64
MINIMUM_MAX_CACHE_MEMORY = 16
MAXIMUM_MAX_CACHE_MEMORY = 16384  # 16 GB (in MB)

MINIMUM_SUPPORTED_PHP = 56

MONIROTING_SERVICE = 'clwpos_monitoring'
USER_WPOS_DIR = ".clwpos"
USER_CLWPOS_CONFIG = "clwpos_config.json"

PROJECT_NAME = "clwpos"

# https://cl.sentry.cloudlinux.com/organizations/cloudlinux_os/issues/?project=12
SENTRY_DSN = 'https://9713d1296f804031b058b8f2d789d7ac:' \
             '8ddacae32d8246cf8b25cf826bf3fc0a@cl.sentry.cloudlinux.com/12'

CLWPOS_VAR_DIR = '/var/clwpos'
CLWPOS_UIDS_PATH = f'{CLWPOS_VAR_DIR}/uids'
CLWPOS_SOLO_PATH = f'{CLWPOS_VAR_DIR}/solo'
SCANNING_STATUS = f'{CLWPOS_VAR_DIR}/admin/status'
LAST_SCANNED_TS = f'{CLWPOS_VAR_DIR}/admin/last_scan.ts'
SCAN_CACHE = f'{CLWPOS_VAR_DIR}/admin/scan_cache.json'

WP_CLI_EXTENSIONS = ["-d extension=phar.so", "-d extension=json.so", "-d extension=mysqli.so"]
WPOS_DAEMON_SOCKET_FILE = "/opt/clwpos/wpos_redis_daemon.sock"
