#!/opt/alt/python37/bin/python3.7 -bb
# coding:utf-8

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT
from __future__ import absolute_import

import sys

from clcommon.public_hooks.bundle import cpanel
from clcommon.public_hooks import setup_logger_and_sentry
from clcommon.lib.cledition import is_cl_solo_edition
from cldetectlib import is_cpanel


_BASE_DIR = '/usr/share/cloudlinux/wpos'
_HOOKS = [
    cpanel.Hook(
        _BASE_DIR + '/cpanel_admin_disable_caching.py',
        'Whostmgr', 'Lang::PHP::set_vhost_versions',    'post'),

    cpanel.Hook(
        _BASE_DIR + '/cpanel_user_disable_caching.py',
        'Cpanel', 'UAPI::LangPHP::php_set_vhost_versions',  'post'),
]


def main(argv):
    """
    Install or delete cpanel event hook
    """
    success = True
    if is_cl_solo_edition() and is_cpanel():
        if "-i" in argv:
            success = cpanel.install_hooks(_HOOKS)
        elif "-d" in argv:
            success = cpanel.remove_hooks(_HOOKS)
        else:
            raise NotImplementedError('unknown option')
    return int(not success)


if "__main__" == __name__:
    # in fact this is only wrapper for
    # hooks logic located in cllib
    # so we can just use cllib sentry here
    setup_logger_and_sentry()
    sys.exit(main(sys.argv[1:]))
